# Class CIM_AssociatedBattery
extends CIM_Dependency

A LogicalDevice might use or require one or more Batteries. This relationship is described by the AssociatedBattery dependency. It is also possible to model the individual Batteries that comprise a UPS, using this association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_AssociatedBattery

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | A LogicalDevice might use or require one or more Batteries. This relationship is described by the AssociatedBattery dependency. It is also possible to model the individual Batteries that comprise a UPS, using this association.
UMLPackagePath | string | CIM::Device::CoolingAndPower
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_AssociatedBattery | CIM_Battery
Dependent | CIM_AssociatedBattery | CIM_LogicalDevice

## Class Methods